
Smart Proxy - Bug #1280

MS DHCP ignores address exclusions

10/31/2011 08:49 PM - Corey Osman

Status: Resolved   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.22.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have the following set in my MS DHCP scope

Address range 192.168.1.1 - 192.168.1.254

Address Excluded Range: 192.168.1.1 - 192.168.1.150

Address Excluded Range: 192.168.1.200 - 192.168.1.254

However, when foreman makes a request to get an IP it returns an IP from the range without considering the excluded ranges.

So when an IP of 192.168.1.1 is returned via the dhcp smart-proxy it will conflict with another IP

Related issues:

Related to Smart Proxy - Bug #7766: ms_native dhcp smart proxy code scales po... Closed 10/01/2014

Related to Smart Proxy - Feature #34105: Windows MS DHCP Scope and Exclusions... New

Has duplicate Smart Proxy - Feature #4171: Smart proxy DHCP plugin does not h... Duplicate 01/23/2014

History

#1 - 10/31/2011 09:35 PM - Corey Osman

- File Screen_Shot_2011-10-31_at_6.28.10_PM.png added

We can get the excluded ranges by using the following command:

netsh dhcp server 192.168.1.1 scope 192.168.1.0  show excluderange

#2 - 11/01/2011 03:08 AM - Ohad Levy

yep, imho ms dhcp should be queried via the netsh dump command instead of individual netsh commands.

#3 - 11/08/2011 12:49 PM - Corey Osman

- Category set to DHCP

- Target version set to 0.3

#4 - 11/08/2011 01:46 PM - Ohad Levy

- Target version changed from 0.3 to 1.0

#5 - 01/01/2012 08:23 AM - Ohad Levy

is it scope reservations range, or scope range in general? I think there is a difference between when a scope enables dynamic guests (e.g. with no

reservation) vs. this IP's are out of the DHCP server range.

#6 - 01/02/2012 01:18 PM - Corey Osman

Foreman currently picks an ip that is part of the scope but is also part of an excluded range.  Because the IP is part of the excluded range there could

be IP conflicts.
#7 - 07/18/2012 03:42 AM - Ohad Levy

- Target version deleted (1.0)

#8 - 08/06/2014 04:40 AM - Dominic Cleal

- Has duplicate Feature #4171: Smart proxy DHCP plugin does not honor exclude ranges  added

#9 - 08/17/2016 06:58 AM - Dominic Cleal

- Related to Bug #7766: ms_native dhcp smart proxy code scales poorly added

#10 - 11/16/2016 10:24 AM - Anonymous

- Description updated

- Status changed from New to Resolved

This has been fixed in Ms dhcp provider on Windows Server 2012 platform (please note there won't be a fix for Windows Server 2008). Marking this

as resolved.

#11 - 09/19/2019 12:25 PM - Oliver Weinmann

- Fixed in Releases 1.24.0 added

Hi,

sorry this problem still exists even on Windows 2012 R2. We are running Foreman 1.22.1 (Katello 3.12). DHCP exclusions are not honored when

creating hosts.

Best Regards,

Oliver

#12 - 09/19/2019 12:28 PM - Oliver Weinmann

- Found in Releases 1.22.1 added

#13 - 10/24/2019 08:10 AM - Tomer Brisker

- Fixed in Releases deleted (1.24.0)

#14 - 10/24/2019 08:11 AM - Tomer Brisker

Oliver, could you please open a new bug with the details of the issue you are seeing and mark it as related to this one? it may be that the symptoms

are similar but the cause is different than the original issue.

#15 - 12/08/2021 10:24 AM - Oliver Weinmann

- Related to Feature #34105: Windows MS DHCP Scope and Exclusions not honored added
